Subject: RE: [ipfix-info] Typo in draft-ietf-ipfix-info-00.txt (field ID 1 1 used twice)

From: "MEYER,JEFFREY D (HP-Cupertino,ex1)" <[email-masked]>
Date: Wed, 9 Jul 2003 20:21:29 -0400

Simon,

  Thanks for noting the field id error.  I'll follow your recommendation on
changing from 11 to 2 to match current NFv9.

  In answer to your question, section 9 is auto generated from appendix A.
Juergen also pointed out that the subsections are tedious to read, I'll try
to make the sections a bit more compact.

  A summary table is a good idea, I'll see what I can do.

Regards,

  Jeff Meeyr

> -----Original Message-----
> From: Simon Leinen [mailto:[email-masked]]
> Sent: Wednesday, July 09, 2003 5:32 AM
> To: [email-masked]
> Subject: [ipfix-info] Typo in draft-ietf-ipfix-info-00.txt 
> (field ID 11
> used twice)
> 
> 
> In draft-ietf-ipfix-info-00.txt, both `packetCount' and
> `destinationPort' use field ID 11.  I suggest to change the field ID
> of `packetCount' to 2, because that's what NetFlow v9 seems to use.
> 
> Just curious: Is the text in section 9 actually machine-generated from
> the schema in Appendix A? That would explain why I find section 9 a
> bit tedious to read (very repetitive).
> 
> Maybe it would be useful to generate an additional short-hand section
> containing an overview of all fields, maybe in tabular format.  That
> would make it easier to uncover problems such as this.
> 
> Regards,
> -- 
> Simon.
> 
> *** draft-ietf-ipfix-info-00.txt	2003/07/09 12:24:13	1.1
> --- draft-ietf-ipfix-info-00-sl.txt	2003/07/09 12:24:41
> ***************
> *** 959,965 ****
>   
>   9.10.3 Field Id
>   
> !    The field id is 11.
>   
>   9.11 byteCount
>   
> --- 959,965 ----
>   
>   9.10.3 Field Id
>   
> !    The field id is 2.
>   
>   9.11 byteCount
>   
> ***************
> *** 1609,1615 ****
>          <ipdr:units>packets</ipdr:units>
>        </appinfo>
>        <appinfo>
> !        <ipfix:fieldId>11</ipfix:fieldId>
>        </appinfo>2</annotation>
>      </element>
>   
> --- 1609,1615 ----
>          <ipdr:units>packets</ipdr:units>
>        </appinfo>
>        <appinfo>
> !        <ipfix:fieldId>2</ipfix:fieldId>
>        </appinfo>2</annotation>
>      </element>
>   
> 
> 
> --
> Help        mailto:[email-masked] and say "help" 
> in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/